seo:
  title: What is an Agile mindset?
  description: Learn how embracing change can help you speed up software delivery.
  ogTitle: What is an Agile mindset?
  ogDescription: Learn how embracing change can help you speed up software delivery.
  noIndex: false
  ogImage: images/blog/hero-images/agilemind.jpg
  ogUrl: https://about.gitlab.com/blog/agile-mindset
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/agile-mindset
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "What is an Agile mindset?",
            "author": [{"@type":"Person","name":"Suri Patel"}],
            "datePublished": "2019-06-13",
          }

content:
  title: What is an Agile mindset?
  description: Learn how embracing change can help you speed up software delivery.
  authors:
    - Suri Patel
  heroImage: images/blog/hero-images/agilemind.jpg
  date: '2019-06-13'
  body: >



    Ensuring [Agile](/solutions/agile-delivery/) teams use the most [effective
    strategies](/solutions/agile-delivery/) to reduce cycle time is a

    priority for IT leaders, but what good is a menagerie of techniques if a
    team’s

    approach to software development doesn’t spark innovation? When it comes to

    building the foundation for accelerating delivery, IT leaders have been
    incorrectly

    placing emphasis on collecting tools rather than developing an Agile
    mindset.


    > “The core of Agile is recognizing that we need to get to and maintain an
    Agile mindset. **If I have an organization with an Agile mindset, and really
    rock-solid product management, Agile processes and tools will evolve out of
    that. If you have the Agile mindset and an awesome connection with your
    customers and are solving their problems, things will evolve in the right
    way.** You won’t even realize you’re being Agile. It’s just good business.”
    — [Todd
    Little](https://www.forbes.com/sites/stevedenning/2016/06/07/the-key-missing-ingredient-in-the-agile-manifesto-mindset/#4fa5917467ff),
    CEO Lean Kanban


    There are many definitions of an Agile mindset, but the general consensus is
    that it:


    * Views setbacks as learning opportunities

    * Embraces iteration, collaboration, and change

    * Focuses on delivering value


    ## Agile mindset characteristics


    There’s no definitive list of what makes up an Agile mindset, but with the

    intention of getting you started, here are a few of the most widely accepted

    characteristics. Based on your team’s dynamics, your organization’s culture,
    and

    your goals, you may adopt other attributes to help your team accelerate
    delivery.


    ### Setbacks are learning opportunities


    Empower your team to experiment and be creative so that rather than view a
    setback

    as a failure, they’ll see it as an opportunity to learn and grow. When your
    team

    has the freedom to be innovative – without fear – they’re more likely to
    solve

    problems and add to the knowledge base of what works and what doesn’t.

    Taking risks shouldn’t be a rebellious endeavor — it should be your team’s
    norm.


    ### Agile values and principles: Iteration, collaboration, and change


    **Iteration**: Instill the belief that there’s always room for improvement
    and

    that anyone can propose a change or idea. At GitLab, we believe

    [everyone can contribute](/company/mission/#mission) and that [iteration is
    the fastest

    way to feedback](/handbook/values/#iteration), helping us course correct and

    create new features.


    **Collaboration**: Finding ways to improve and increase cross-collaboration

    enables frictionless handoffs, helps relieve the burden on teams, and
    facilitates

    a culture of trust and communication. Whether you develop new workflows or
    use

    different tools, keep an eye out for silos which can work against
    collaboration.


    **Change**: Agile methodology is founded on the ability to adapt to

    unpredictability. If your customers or organization want to pivot soon after
    a

    direction is set, your team should be able to do just that. Any

    processes or roadblocks that prevent your team’s ability to be flexible and

    embrace change should be removed.


    ### Deliver value


    We can all agree that teams should deliver value both to customers and the

    organization. But where an Agile mindset makes all the difference is
    shifting the

    emphasis from the output, which focuses only on the items delivered, to the

    outcome, which is how a feature meets a market need. An Agile mindset helps
    teams

    creatively think of how a feature can solve a problem rather than feel
    pressured

    to deliver a set number of items in a month. It’s the whole “quality over
    quantity” idea.


    ## Steps to shift to an Agile mindset


    Changing your team’s perspective and the way they approach problems is a
    difficult

    undertaking. You’re challenging their long-held beliefs while requiring them
    to

    complete tasks and meet deadlines. This is an uncomfortable process in any

    environment, but especially in the workplace where an (in)ability to quickly

    shift can impact performance and reputation. Fortunately, there are a few

    methods to help you navigate these difficulties and enable your team to
    smoothly

    adopt an Agile mindset:



    1. **Model behavior**: The most effective way to help your team shift to an
    Agile

    mindset is to exemplify the behaviors you want to see. To create a

    “no-fault, embrace risk” environment, share your setbacks with the team and
    tell

    them what you learned. When someone experiments, praise them for trying
    something

    new and discuss the biggest lessons learned. By being transparent and
    showing your

    team that this new way of thinking is possible, you become their
    collaborator.

    1. **Storytelling**: Share how other organizations or teams have benefited
    from

    an Agile mindset. Understanding what others gained from a new way of

    thinking can help your team feel more enthusiastic about the change.

    1. **Take small steps**: After doing more research about an Agile mindset,
    you

    might get excited and feel tempted to change things overnight. Take small
    steps

    and make minor adjustments in the beginning to help your team acclimate.


    ## What's the impact?


    With an Agile mindset, teams can quickly adjust to changing market needs,
    respond

    to customer feedback, and deliver business value. Adopting a new perspective
    can

    positively change a team’s culture, since the shift permits innovation
    without fear,

    collaboration with ease, and delivery without roadblocks.


    Cover image by [Benjamin
    Voros](https://unsplash.com/@vorosbenisop?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)
    on [Unsplash](https://unsplash.com/photos/X4bgpcGBNAY)

    {: .note}
  category: Insights
  tags:
    - agile
    - collaboration
    - DevOps
    - workflow
config:
  slug: agile-mindset
  featured: false
  template: BlogPost
